package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type NictCategory struct {
	Id    primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Type  string             `bson:"type,omitempty" json:"type"`
	Value string             `bson:"value,omitempty" json:"value"`
}

type NictPump struct {
	Id        primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Category  string             `bson:"category,omitempty" json:"category"`
	Name      string             `bson:"name,omitempty" json:"name"`
	Model     string             `bson:"model,omitempty" json:"model"`
	Desc      string             `bson:"desc,omitempty" json:"desc"`
	Detail    string             `bson:"detail,omitempty" json:"detail"`
	Thumbnail string             `bson:"thumbnail,omitempty" json:"thumbnail"`
}

type NictParts struct {
	Id        primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Category  string             `bson:"category,omitempty" json:"category"`
	Model     string             `bson:"model,omitempty" json:"model"`
	Name      string             `bson:"name,omitempty" json:"name"`
	Desc      string             `bson:"desc,omitempty" json:"desc"`
	Detail    string             `bson:"detail,omitempty" json:"detail"`
	Thumbnail string             `bson:"thumbnail,omitempty" json:"thumbnail"`
}

type NictMaintain struct {
	Id        primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Category  string             `bson:"category,omitempty" json:"category"`
	Model     string             `bson:"model,omitempty" json:"model"`
	Name      string             `bson:"name,omitempty" json:"name"`
	Desc      string             `bson:"desc,omitempty" json:"desc"`
	Detail    string             `bson:"detail,omitempty" json:"detail"`
	Thumbnail string             `bson:"thumbnail,omitempty" json:"thumbnail"`
}

type NictProduct struct {
	Id     primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Type   string             `bson:"type,omitempty" json:"type"`
	Detail string             `bson:"detail,omitempty" json:"detail"`
}

type NictNews struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	Thumbnail  string             `bson:"thumbnail,omitempty" json:"thumbnail"`
	Title      string             `bson:"title,omitempty" json:"title"`
	SubTitle   string             `bson:"subtitle,omitempty" json:"subtitle"`
	Detail     string             `bson:"detail,omitempty" json:"detail"`
}

type NictRecruit struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	Type       string             `bson:"type,omitempty" json:"type"`
	Title      string             `bson:"title,omitempty" json:"title"`
	Detail     string             `bson:"detail,omitempty" json:"detail"`
}

type NictBanner struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Title      string             `bson:"title,omitempty" json:"title"`
	SubTitle   string             `bson:"subtitle,omitempty" json:"subtitle"`
	Image      string             `bson:"image,omitempty" json:"image"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}

type NictPartner struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Image      string             `bson:"image,omitempty" json:"image"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
